Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.lifecycle
Interface PhaseListener

All Superinterfaces:
  EventListener, Serializable

public interface PhaseListener
extends EventListener, Serializable

An interface implemented by objects that wish to be notified at the beginning and ending of processing for each standard phase of the request processing lifecycle.

Since:
  1.0
See Also:
  `ILifeCycle.addPhaseListener(PhaseListener)`, `ILifeCycle.removePhaseListener(PhaseListener)`

Method Summary
`void` `afterPhase(PhaseEvent event)` Handle a notification that the processing for a particular phase has just been completed.
`void` `beforePhase(PhaseEvent event)` Handle a notification that the processing for a particular phase of the request processing lifecycle is about to begin.
`PhaseId` `getPhaseId()` Return the identifier of the request processing phase during which this listener is interested in processing `PhaseEvent` events.

Method Detail

### beforePhase

    public void beforePhase(PhaseEvent event)

  Handle a notification that the processing for a particular phase of the request processing lifecycle is about to begin.

  Parameters:
    `event` - the `PhaseEvent`

### afterPhase

    public void afterPhase(PhaseEvent event)

  Handle a notification that the processing for a particular phase has just been completed.

  Parameters:
    `event` - the `PhaseEvent`

### getPhaseId

    public PhaseId getPhaseId()

  Return the identifier of the request processing phase during which this listener is interested in processing `PhaseEvent` events. Legal values are the singleton instances defined by the `PhaseId` class, including `PhaseId.ANY` to indicate an interest in being notified for all standard phases.

  Returns:
    instance of `PhaseId`

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.